Subject: [Ltru] Re: DOCTYPE ltru

From: "Doug Ewell" <[email-masked]>
Date: Sat, 16 Sep 2006 10:09:50 -0700

Frank Ellermann <nobody at xyzzy dot claranet dot de> wrote:

> The third problem is apparently a bug in the registry:
> missing ID _latn (small L) in yi-latn.  For the REXX
> validator I never saw that because it internally works
> case-insensitive, but with XML ID _latn is not _Latn.

It's capitalized that way because it was registered that way under RFC 
3066.  It was the first tag to be registered with a script component, 
and at the time it was not (widely) known that RFC 3066 would be updated 
to include productive script subtags using This casing convention.

In building the initial Registry, I considered that "yi-latn" qualified 
under Section 2, item 7 of RFC 4645 even though the capitalization was 
different.

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/
RFC 4645  *  UTN #14

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: "Doug Ewell" <[email-masked]>
Date: Sat, 16 Sep 2006 10:16:30 -0700

Martin Duerst <duerst at it dot aoyama dot ac dot jp> wrote:

>>> (consistent with the IESG policy in BCP 18 / RFC 2277).
>>
>>That's about new protocols, not text/plain files like RFCs or the LTRU 
>>registry.
>
> Yes indeed. This means that Ira's argument is a bit weak, but does not 
> give an argument for not using UTF-8.

There are two separate issues being discussed here:

1.  whether the Registry format should be changed to XML (or another 
file format)
2.  whether the Registry should use UTF-8 directly instead of hex NCRs

If we change to XML, we will be automatically allowed (though not 
required) to change to UTF-8, but the opposite is not true: changing to 
UTF-8 does not imply switching away from record-jar.  Let's discuss 
these issues separately as needed to avoid confusion and 
misunderstanding.

BTW, I keep seeing references to the Registry being in "modified 
record-jar."  Would someone please refresh my memory: What is "modified" 
about the Registry's format as compared to "standard" record-jar?

---

From: Addison Phillips <[email-masked]>
Date: Sat, 16 Sep 2006 11:03:51 -0700

> 1.  whether the Registry format should be changed to XML (or another 

I oppose this.

> 2.  whether the Registry should use UTF-8 directly instead of hex NCRs

I support this, but could live without it.

> about the Registry's format as compared to "standard" record-jar?

Since there ain't no such beast as "standard record-jar", nothing.

Addison

-- 
Addison Phillips
Globalization Architect -- Yahoo! Inc.

Internationalization is an architecture.
It is not a feature.

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 17 Sep 2006 13:44:50 +0200

Addison Phillips wrote:

>> whether the Registry format should be changed to XML (or
>> another file format)

> I oppose this.

Me too, but for UTF-8 I'd be tempted to change my mind.  It's
interesting as derived format, to check all subtags in Doug's
first registry I needed less than a minute:  Most of it spent
with "upload XML to W3C validator", followed by "download TXT
from Doug's Web space", seconds to convert it to XML, and wait
for the validator's result (= "yi-latn is no valid XML" :-)

>> What is "modified" about the Registry's format as compared
>> to "standard" record-jar?
 
> Since there ain't no such beast as "standard record-jar",

Does the original record-jar allow comments introduced by % ?
For "original" = as published in the [record-jar] reference.
Looking into your updated draft, you have %% comment, and
some backslash magic, that's "modified" wrt RFC 4646.

Frank

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 17 Sep 2006 13:50:41 +0200

Doug Ewell wrote:

>> with XML ID _latn is not _Latn.

> It's capitalized that way because it was registered that way
> under RFC 3066.

Could we add this oddity as another exception (like zh-min) to
4645bis, or is it more straight forward if I try to update it
directly using the language list ?

Frank

---

From: Addison Phillips <[email-masked]>
Date: Sun, 17 Sep 2006 10:25:49 -0700

> some backslash magic, that's "modified" wrt RFC 4646.

Art of Unix Programming [AOUP] doesn't say. I introduced comments in 
draft-record-jar because I think they were a stupid decision on our part 
in 4646--and note that AOUP endorses (strongly recommends) a comment syntax.

My draft is modified vs. 4646, although currently 4646 modifies the 
syntax by regulating (prohibiting) certain record-jar features in my 
draft. So.... 4646 is "modified" record-jar by that, unpublished, measure.

On the other hand, AOUP isn't specific enough to know whether 4646 is 
modified or not.

:-)

Addison

---

From: Addison Phillips <[email-masked]>
Date: Sun, 17 Sep 2006 10:27:38 -0700

Capitalization doesn't mean anything in language tags and never has. We 
should fix it in the registry (via the reg process if possible, but 
certainly via 4645bis if not)

Addison

---

From: Martin Duerst <[email-masked]>
Date: Mon, 18 Sep 2006 11:14:49 +0900

At 02:27 06/09/18, Addison Phillips wrote:
>Capitalization doesn't mean anything in language tags and never has. We should fix it in the registry (via the reg process if possible, but certainly via 4645bis if not)

Exactly my opinion, too.     Regards,    Martin.

>> directly using the language list ?

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 18 Sep 2006 05:25:29 +0200

Addison Phillips wrote:
 
> Capitalization doesn't mean anything in language tags and
> never has.

Sure, I'm talking about a naive subtag to IDREF implementation
for the registry based on some MUSTard in chapter 3.1:

| Subtags whose 'Type' field is 'script' (in other words,
| subtags defined by ISO 15924) MUST use titlecase.

> We should fix it in the registry (via the reg process if
> possible, but certainly via 4645bis if not)

Okay.